at.chipkarte.client.dbas.soap.constants

## Class DbasExceptionConstants

- Object
- - at.chipkarte.client.dbas.soap.constants.DbasExceptionConstants

-     public class DbasExceptionConstants
      extends Object

  Fehlerkonstanten für die DbasException.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BETREUUNG_INVALID` Das angegebene Betreuungsverhältnis ist ungültig.
    `static int` | `CREATE_ABRECHNUNG_DATA_FAILED` Beim Ermitteln der Abrechnungsdaten trat ein Fehler auf.
    `static int` | `CREATE_QUITTUNG_FAILED` Die Empfangsbestätigung konnte nicht erfolgreich erstellt bzw. signiert werden.
    `static int` | `INTERNAL_ERROR` Interner Fehler des DBAS Services.
    `static int` | `INVALID_BETREUUNG` Das in den Abrechnungsdaten übergebene Betreuungsverhältnis ist ungültig.
    `static int` | `INVALID_KONSULTATION` Die in den Abrechnungsdaten übergebene Konsultation ist ungültig (KonsultationId).
    `static int` | `INVALID_VSNR` Die übergebene SV-Nummer existiert nicht oder ist nicht mehr gültig.
    `static int` | `KONSULTATION_INVALID` Die angegebene Konsultation ist ungültig.
    `static int` | `MATCHING_KONSULTATION_FOUND` Zur Vertragspartnernummer und Sozialversicherungsnummer wurden Konsultationen gefunden.
    `static int` | `MAX_RESULTS_EXCEEDED` Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl.
    `static int` | `NO_KEYS_FOUND` Ein oder mehrere Schlüssel konnten nicht gefunden werden.
    `static int` | `PERSON_NOT_IN_DMP` Der angegebene SV-Patient ist zum angegebenen Untersuchungsdatum nicht beim angegebenen Vertragspartner für das jeweilige DMP-Programm eingeschrieben.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbasExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KONSULTATION_INVALID

          public static final int KONSULTATION_INVALID

      Die angegebene Konsultation ist ungültig.
      ORCLI-Code: CL-1200009
      See Also:
        Constant Field Values

    - #### CREATE_ABRECHNUNG_DATA_FAILED

          public static final int CREATE_ABRECHNUNG_DATA_FAILED

      Beim Ermitteln der Abrechnungsdaten trat ein Fehler auf.
      ORCLI-Code: CL-1200023
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Interner Fehler des DBAS Services.
      ORCLI-Code: CL-S0012
      See Also:
        Constant Field Values

    - #### INVALID_VSNR

          public static final int INVALID_VSNR

      Die übergebene SV-Nummer existiert nicht oder ist nicht mehr gültig.
      ORCLI-Code: ZS-12001
      See Also:
        Constant Field Values

    - #### MAX_RESULTS_EXCEEDED

          public static final int MAX_RESULTS_EXCEEDED

      Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl.
      ORCLI-Code: ZS-12003
      See Also:
        Constant Field Values

    - #### PERSON_NOT_IN_DMP

          public static final int PERSON_NOT_IN_DMP

      Der angegebene SV-Patient ist zum angegebenen Untersuchungsdatum nicht beim angegebenen Vertragspartner für das jeweilige DMP-Programm eingeschrieben.
      ORCLI-Code: ZS-12004
      See Also:
        Constant Field Values

    - #### NO_KEYS_FOUND

          public static final int NO_KEYS_FOUND

      Ein oder mehrere Schlüssel konnten nicht gefunden werden.
      ORCLI-Code: ZS-12006
      See Also:
        Constant Field Values

    - #### INVALID_KONSULTATION

          public static final int INVALID_KONSULTATION

      Die in den Abrechnungsdaten übergebene Konsultation ist ungültig (KonsultationId).
      ORCLI-Code: ZS-12007
      See Also:
        Constant Field Values

    - #### CREATE_QUITTUNG_FAILED

          public static final int CREATE_QUITTUNG_FAILED

      Die Empfangsbestätigung konnte nicht erfolgreich erstellt bzw. signiert werden.
      ORCLI-Code: ZS-12008
      See Also:
        Constant Field Values

    - #### MATCHING_KONSULTATION_FOUND

          public static final int MATCHING_KONSULTATION_FOUND

      Zur Vertragspartnernummer und Sozialversicherungsnummer wurden Konsultationen gefunden.
      ORCLI-Code: CL-1200025
      See Also:
        Constant Field Values

    - #### BETREUUNG_INVALID

          public static final int BETREUUNG_INVALID

      Das angegebene Betreuungsverhältnis ist ungültig.
      ORCLI-Code: CL-1200035
      See Also:
        Constant Field Values

    - #### INVALID_BETREUUNG

          public static final int INVALID_BETREUUNG

      Das in den Abrechnungsdaten übergebene Betreuungsverhältnis ist ungültig.
      ORCLI-Code: ZS-12009
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DbasExceptionConstants

          public DbasExceptionConstants()